#include <iostream>
#include <iomanip>
#include <sstream>

void AnalyzeErel()
{
  for(int i=0; i<20; ++i){
    ostringstream oss;
    oss << "hime3" << std::setw(4) << std::setfill('0') << i << ".root";

    std::cout << "read " << oss.str() << std::endl;
    
    CAnalyzeNeut AnalyzeNeut("root/hime/erel/hime_9_250/" + oss.str());
    AnalyzeNeut.Main("macros/analysis/Analyze.xml", "macros/analysis/map.txt",
		     "ribf","hime9m","Li9[@energy=250]", "C[@thickness=1.0]","gaus","Track",-1);
  }
}
