
#include "CMapFunction1D.hh"

#include "TROOT.h"
#include "TF1.h"

#include <iostream>
#include <iomanip>
#include <fstream>
#include <string>

int test_1d()
{
  CMapFunction1D* map1d = new CMapFunction1D;

  std::string filename("macros/check/map/1d.txt");
  if(!map1d->SetFile(filename,0,0.05)) return -1;

  map1d->Print();
  std::cout << std::endl;
  TF1* fp = map1d->GetMapFunction();

//  TF1* fp = new TF1("fp",
//		    map1d,
//		    static_cast<Double_t (CMapFunction1D::*)(Double_t*, Double_t*)>
//		    (&CMapFunction1D::MapFunction),
//		    map1d->GetXmin(), map1d->GetXmax(), 0,
//		    "CMapFunction1D", "MapFunction");

  for(double x = 0.0; x < 1.0; x += 0.05){
    std::cout << x << " " << std::setw(5) << std::left << fp->Eval(x) <<  " ";
    std::cout << std::endl;
  }

  fp->Draw();
  
  return 0;
}
