
#include "CMapFunction2D.hh"

#include "TROOT.h"
#include "TF2.h"

#include <iostream>
#include <iomanip>
#include <fstream>
#include <string>

int test_2d()
{
  CMapFunction2D* map2d = new CMapFunction2D;

  std::string filename("macros/check/map/2d.txt");
  if(!map2d->SetFile(filename,0,2,0,2)) return -1;

  map2d->Print();
  std::cout << std::endl;
  TF1* fp = map2d->GetMapFunction();

//  TF1* fp = new TF2("fp",
//		    map2d,
//		    static_cast<Double_t (CMapFunction2D::*)(Double_t*, Double_t*)>
//		    (&CMapFunction2D::MapFunction),
//		    map2d->GetXmin()-1, map2d->GetXmax()+1, map2d->GetYmin()-1, map2d->GetYmax()+1, 0,
//		    "CMapFunction2D", "MapFunction");

  for(double x = -1.0; x < 11.0; x += 0.6){
    for(double y = -1.0; y < 11.0; y += 0.6){
      std::cout << std::setw(5) << std::left << map2d->MapFunction(y, x) <<  " ";
    }
    std::cout << std::endl;
  }

  fp->Draw("colz");
  //  fp->Draw("surf2");
  
  return 0;
}
