{
  double u(931.494);
  int neutron_a(1);
  double neutron_me(8.0713171);
  CParticle neutron(u*neutron_a+neutron_me);

  int proton_a(1);
  double proton_me(7.28897050);
  CParticle proton(u*proton_a+proton_me);

  proton.k(230);

  proton.c(29.979);
  std::cout << "TOF(100cm)=" << 100./proton.v() << "ns"<< std::endl;
}
