#include "TROOT.h"
#include "TF1.h"
#include "TCanvas.h"

#include "CMapFunction1D2.hh"
#include "CFoldSigma.hh"

#include <iostream>

void mapfunc()
{
  TCanvas* canvas = new TCanvas("canvas", "title", 600,600);
  //  canvas->SetLogy();
  CMapFunction1D2* mapf = new CMapFunction1D2;
  mapf->SetFile("macros/rcnp/map.txt");
  TF1* f = mapf->GetMapFunction();

  CFoldSigma* fold = new CFoldSigma(f);
  //  fold->SetSigma(1.9);
  fold->SetSigma(2.8);
  //  fold->SetSigma(3.8);
  fold->SetStep(0.1);
  TF1* ff = fold->GetFoldedFunction();

  //  f->SetRange(180,300);
  f->SetRange(199,290);
  f->SetLineColor(4);
  f->Draw();
  ff->SetLineColor(2);
  ff->Draw("same");

  canvas->Update();
}
