#ifndef CGETTER_HH
#define CGETTER_HH

class TH1;
class TCut;
class TCutG;
class TCanvas;
class CHistManager;
class CCutManager;
class CCanvasManager;

namespace NAlias
{
  extern CHistManager* histmanager;
  extern CCutManager* cutmanager;
  extern CCanvasManager* canvasmanager;
}

class CHistGetter
{
public:
  CHistGetter();
  ~CHistGetter();
  TH1* operator[](int id);

  ClassDef(CHistGetter, 0);
};

class CCutGetter
{
public:
  CCutGetter();
  ~CCutGetter();
  TCut* operator[](int id);

  ClassDef(CCutGetter, 0);
};

class CCutGGetter
{
public:
  CCutGGetter();
  ~CCutGGetter();
  TCutG* operator[](int id);

  ClassDef(CCutGGetter, 0);
};

class CCanvasGetter
{
public:
  CCanvasGetter();
  ~CCanvasGetter();
  TCanvas* operator[](int id);

  ClassDef(CCanvasGetter, 0);
};

#endif
