f(x) = a*x+b
a=-0.03
b=0.5
fit [0:0.5] f(x) "erel_hime_poisson.txt" using 1:($2/$8/10000):($3/$8/10000) via a,b

g(x) = c*x+d
c=-50.6
d=133
fit [0:0.5] g(x) "erel_hime_poisson.txt" using 1:4:5 via c,d

h(x) = f*x+g
f=110
g=2.34
fit [0:0.5] h(x) "erel_hime_poisson.txt" using 1:6:7 via f,g

unset key

set xrange [0:1]
set yrange [0:1]
set y2range [0:200]
set y2tics 10
set ytics nomirror

set style line 1 lt 1 lc rgb "red" lw 1
set style line 2 lt 1 lc rgb "green" lw 1
set style line 3 lt 1 lc rgb "blue" lw 1
set style line 4 lt 1 lc rgb "magenta" lw 1

plot \
"erel_hime_poisson.txt"  using 1:($2/$8/10000):($3/$8/10000) lt 1 title "hime" axis x1y1 with yerrorbars, \
"erel_hime_poisson.txt"  using 1:4:5 lt 2 title "hime" axis x1y2 with yerrorbars, \
"erel_hime_poisson.txt"  using 1:6:7 lt 3 title "hime" axis x1y2 with yerrorbars, \
f(x) lt 1 title "hime" axis x1y1, \
g(x) lt 2 title "hime" axis x1y2, \
h(x) lt 3 title "hime" axis x1y2

