
#include "TROOT.h"
#include "TFile.h"
#include "TDirectory.h"
#include "TTree.h"
#include "TCanvas.h"
#include "TH1D.h"
#include "TH2D.h"
#include "TH3D.h"
#include "TGraph2DErrors.h"
#include "TVector3.h"
#include "TF1.h"
#include "TFitResult.h"
#include "TFitResultPtr.h"

#include <iostream>
#include <string>
#include <cmath>
#include <deque>
#include <fstream>

#include "CDataHime.hh"
#include "CDataHimeSim.hh"
#include "CKinema.hh"
#include "CParticle.hh"
#include "CParticleDefinition.hh"
#include "FFunction.hh"
#include "CMapFunction1D.hh"
#include "CFold.hh"
#include "CAnalysis.hh"
#include "CXmlManager.hh"

#include "AnalysisSpectrum.hh"

//#define VISUALIZE 1

//memory leakのerror処理はgdbを走らせれば分かるのでやってない。

void AnalysisSpectrum_head(std::string filename,
			   std::string facility, std::string detector,
			   std::string fragment, std::string target,
			   std::string beam, std::string method, Long64_t nentries)
{
  Analysis ana;

  ana.AnalysisSpectrum(filename, facility, detector, fragment,
		       target, beam, method, nentries);
}
