
#include "TH1.h"
#include "TCut.h"
#include "TCutG.h"
#include "TCanvas.h"

#include "CHistManager.hh"
#include "CCutManager.hh"
#include "CCanvasManager.hh"

#include "CGetter.hh"

ClassImp(CHistGetter)

CHistGetter::CHistGetter(){/* nothing */;}

CHistGetter::~CHistGetter(){/* nothing */;}

TH1* CHistGetter::operator[](int id)
{
  return NAlias::histmanager->GetHist(id);
}

ClassImp(CCutGetter)

CCutGetter::CCutGetter(){/* nothing */;}

CCutGetter::~CCutGetter(){/* nothing */;}

TCut* CCutGetter::operator[](int id)
{
  return NAlias::cutmanager->GetCut(id);
}

ClassImp(CCutGGetter)

CCutGGetter::CCutGGetter(){/* nothing */;}

CCutGGetter::~CCutGGetter(){/* nothing */;}

TCutG* CCutGGetter::operator[](int id)
{
  return NAlias::cutmanager->GetCutG(id);
}

ClassImp(CCanvasGetter)

CCanvasGetter::CCanvasGetter(){/* nothing */;}

CCanvasGetter::~CCanvasGetter(){/* nothing */;}

TCanvas* CCanvasGetter::operator[](int /*id*/)
{
  return NAlias::canvasmanager->GetCanvas();
}
