
#include "TROOT.h"

#include <cmath>

class CCoordinateTransformation
{
public:
  CCoordinateTransformation(double xorigin, double yorigin, double theta);
  ~CCoordinateTransformation();

  void Go(double x, double y, double& xprime, double& yprime);
  void Return(double xprime, double yprime, double& x, double& y);
  double GoX(double x, double y);
  double GoY(double x, double y);
  double ReturnX(double xprime, double yprime);
  double ReturnY(double xprime, double yprime);

private:
  double m_xorigin;
  double m_yorigin;
  double m_cos;
  double m_sin;

  ClassDef(CCoordinateTransformation, 0);
};

