#ifndef CFOLDSIGMA_HH
#define CFOLDSIGMA_HH

#include "CFold.hh"
#include "TF1.h"

class CFoldSigma : public CFold
{
public:
  CFoldSigma(TF1* fold);
  ~CFoldSigma();

  void SetSigma(Double_t sigma);

  Double_t Evaluate(Double_t *x, Double_t *par);

private:
  TF1* fGaussian;
  Double_t fSigma;

  ClassDef(CFoldSigma, 0)
};

#endif
