#ifndef CPARTICLEDEFINITION_HH
#define CPARTICLEDEFINITION_HH

#include "TROOT.h"

#include "CParticle.hh"

#include <string>
#include <vector>

class CParticleDefinition
{
public:
  CParticleDefinition();
  ~CParticleDefinition();

public:
  static CParticle GetParticle(std::string name);

private:
  static std::vector<CParticle> fParticle_v;
  static const double fAtomicMass;

  ClassDef(CParticleDefinition, 0)
};

#endif
