f(x) = a*sqrt(x)
a=0.2
fit [0:0.5] f(x) "erel_hime.txt" using 1:4:5 via a

g(x) = b*sqrt(x)
b=0.2
fit [0:0.5] g(x) "erel_hime2.txt" using 1:4:5 via b

h(x) = c*sqrt(x)
c=0.2
fit [0:0.5] h(x) "erel_hime3.txt" using 1:4:5 via c

i(x) = d*sqrt(x)
d=0.2
fit [0:0.5] i(x) "erel_hime32.txt" using 1:4:5 via d

unset key

set xrange [0:1]
set yrange [0:0.15]
set y2range [0:100]
set y2tics 10
set ytics nomirror

set style line 1 lt 1 lc rgb "red" lw 1
set style line 2 lt 1 lc rgb "green" lw 1
set style line 3 lt 1 lc rgb "blue" lw 1
set style line 4 lt 1 lc rgb "magenta" lw 1

plot \
"erel_hime.txt"   using 1:4:5 lt 1 title "hime" with yerrorbars, \
"erel_hime2.txt"  using 1:4:5 lt 2 title "hime2" with yerrorbars, \
"erel_hime3.txt"  using 1:4:5 lt 3 title "hime3" with yerrorbars, \
"erel_hime32.txt" using 1:4:5 lt 4 title "hime32" with yerrorbars, \
f(x) lt 1 title "hime", \
g(x) lt 2 title "hime2", \
h(x) lt 3 title "hime3", \
i(x) lt 4 title "hime32", \
"erel_hime.txt"   using 1:($6*1*5*10e2)    lt 1 title "hime" axis x1y2 with lines, \
"erel_hime2.txt"  using 1:($6*0.42*5*10e2) lt 2 title "hime2" axis x1y2 with lines, \
"erel_hime3.txt"  using 1:($6*0.9*5*10e2)  lt 3 title "hime3" axis x1y2 with lines, \
"erel_hime32.txt" using 1:($6*0.9*5*10e2)  lt 4 title "hime32" axis x1y2 with lines

print f(1)
print g(1)
print h(1)
print i(1)