f(x) = a*sqrt(x)
a=0.2
fit [0:0.5] f(x) "erel_hime.txt" using 1:4:5 via a

g(x) = b*sqrt(x)
b=0.2
fit [0:0.5] g(x) "erel_hime2.txt" using 1:4:5 via b

unset key

set xrange [0:1]
set yrange [0:0.15]
set y2range [0:100]
set y2tics 10
set ytics nomirror

set style line 1 lt 1 lc rgb "red" lw 1
set style line 2 lt 1 lc rgb "green" lw 1
set style line 3 lt 1 lc rgb "blue" lw 1
set style line 4 lt 1 lc rgb "magenta" lw 1

plot \
"erel_hime.txt"   using 1:4:5 lt 1 title "hime" with yerrorbars, \
"erel_hime2.txt"  using 1:4:5 lt 3 title "hime2" with yerrorbars, \
g(x) lt 1 title "hime", \
f(x) lt 3 title "hime2", \
"erel_hime.txt"   using 1:($6*1*5*10e2)    lt 1 title "hime" axis x1y2 with points, \
"erel_hime2.txt"  using 1:($6*0.42*5*10e2) lt 3 title "hime2" axis x1y2 with points

print g(1)
print f(1)
